Subject: Re: git-svn branch naming question

From: Eric Wong <[email-masked]>
Date: Sat, 8 Dec 2007 18:26:24 -0800

Miklos Vajna <[email-masked]> wrote:
> On Sun, Dec 09, 2007 at 12:52:48AM +0100, Miklos Vajna <[email-masked]> wrote:
> > >   [svn-remote "svn"]
> > >         url = https://url/to/your/svn/repo
> > >         fetch = trunk:refs/heads/trunk
> > >         branches = branches/*:refs/heads/*
> > >         tags = tags/*:refs/heads/tags/*
> > > 
> > > but I advice you to not do this. refs/remotes has a special meaning in git,
> > > e.g.  you can't commit directly to it (which makes sense, because it only
> > > tracks the state of the remote repo. On the other hand remote branches won't
> > > get cloned per default.)
> > 
> > yes, that's exactly what i want to do - in case the target is to convert
> > an svn repo to a git one (and i need git-svn since git-svnimport is to
> > be removed in 1.5.4)
> 
> hm, this seem to be not-working for me.
> 
> after "git svn init -s url" i edited the config:
> 
> $ cat .git/config
> [core]
>         repositoryformatversion = 0
>         filemode = true
>         bare = false
>         logallrefupdates = true
> [svn-remote "svn"]
>         url = svn+ssh://[email-masked]/svn/ooo-build
>         fetch = trunk:refs/master
>         branches = branches/*:refs/*
>         tags = tags/*:refs/tags/*
> 
> and wanted to fetch the revisions, but actually
> 
> $ git svn fetch
> 
> does not fetch any revisions. (yes, it does once i put back the
> "remotes" prefix). is this a bug? :)

I'm not sure if it's considered a "bug", but that's just the
way it is at the moment.  I can't remember why, but I did
make git-svn force the presence of the "remotes/" prefix
in all refs it writes to...

-- 
Eric Wong